<template>
  <BSelect
    v-model="value"
    @change="onChange">
    <BOptions
      v-for="(item, key) in options"
      :key="key"
      :label="item.label"
      :value="item.value"></BOptions>
  </BSelect>
</template>

<script>
  import BSelect from './BSelect';
  import BOptions from './BOptions';

  export default {
    name: "index",
    data() {
      return {
        value: 2
      }
    },
    computed: {
      options() {
        return [{
          label: 'test1',
          value: 1
        }, {
          label: 'test2',
          value: 2
        }, {
          label: 'test3',
          value: 3
        }, {
          label: 'test4',
          value: 4
        }, {
          label: 'test5',
          value: 5
        }, {
          label: 'test6',
          value: 6
        }, {
          label: 'test7',
          value: 7
        }, {
          label: 'test8',
          value: 8
        }, {
          label: 'test9',
          value: 9
        }]
      }
    },
    components: {
      BSelect,
      BOptions
    },
    methods: {
      onChange(val) {
        this.value = val;
      }
    }
  }
</script>
